Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionMenuItem.CheckType

    java.lang.Object
      java.lang.Enum<QStyleOptionMenuItem.CheckType>
          com.trolltech.qt.gui.QStyleOptionMenuItem.CheckType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionMenuItem.CheckType>

Enclosing class:
  QStyleOptionMenuItem

    public static enum QStyleOptionMenuItem.CheckType

extends java.lang.Enum<QStyleOptionMenuItem.CheckType>
implements QtEnumerator

This enum is used to indicate whether or not a check mark should be drawn for the item, or even if it should be drawn at all.

See Also:
  `checkType`, `QAction::checkable`, `QAction::checked`, `QActionGroup::exclusive`

Enum Constant Summary
`Exclusive` The item is an exclusive check item (like a radio button).
`NonExclusive` The item is a non-exclusive check item (like a check box).
`NotCheckable` The item is not checkable.

Method Summary
`static QStyleOptionMenuItem.CheckType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionMenuItem.CheckType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionMenuItem.CheckType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NotCheckable

    public static final QStyleOptionMenuItem.CheckType NotCheckable

  The item is not checkable.

### Exclusive

    public static final QStyleOptionMenuItem.CheckType Exclusive

  The item is an exclusive check item (like a radio button).

### NonExclusive

    public static final QStyleOptionMenuItem.CheckType NonExclusive

  The item is a non-exclusive check item (like a check box).

Method Detail

### values

    public static final QStyleOptionMenuItem.CheckType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionMenuItem.CheckType c : QStyleOptionMenuItem.CheckType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionMenuItem.CheckType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionMenuItem.CheckType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD